> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# エージェントのステータスを取得

> Firecrawl APIキーが必要なAIエージェントの方は、自動オンボーディング手順について [firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md) を参照してください。


## OpenAPI

````yaml ja/api-reference/v2-openapi.json GET /agent/{jobId}
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /agent/{jobId}:
    parameters:
      - description: エージェントジョブのID
        in: path
        name: jobId
        required: true
        schema:
          format: uuid
          type: string
    get:
      tags:
        - Agent
      summary: エージェントジョブのステータスを取得
      operationId: getAgentStatus
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  creditsUsed:
                    type: number
                  data:
                    description: 抽出されたデータ（ステータスが completed の場合にのみ存在）
                    type: object
                  error:
                    description: エラーメッセージ（status が failed の場合にのみ含まれます）
                    type: string
                  expiresAt:
                    format: date-time
                    type: string
                  model:
                    default: spark-1-pro
                    description: エージェント実行時に使用されたモデルプリセット
                    enum:
                      - spark-1-pro
                      - spark-1-mini
                    type: string
                  status:
                    enum:
                      - processing
                      - completed
                      - failed
                    type: string
                  success:
                    type: boolean
                type: object
          description: 成功時のレスポンス
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````